#ifndef PROCESSMEDIAINFO_H
#define PROCESSMEDIAINFO_H

#include "src/process/processbasic.h"

#include <QObject>
class DataCDROM;
class ProcessMediaInfo : public ProcessBasic
{
    Q_OBJECT
public:
    ProcessMediaInfo(void *, QObject *parent = nullptr);
    ~ProcessMediaInfo();
public:
    unsigned long size() const { return m_u64Size; }
protected:
    bool prepare();
protected slots:
    void slotsStart(){}
    void slotsOutput();
    void slotsError();
    void slotsFinished(int, QProcess::ExitStatus){}
private:
    void *m_oCDROM;
    unsigned long m_u64Size;
    DataCDROM *cloneCDROM;
};

#endif // PROCESSMEDIAINFO_H
